PUT /katello/api/flatpak_remotes/228288065
{
"name": "test",
"flatpak_remote": {
"name": "test"
}
}
200
{
"name": "test",
"url": "https://flatpaks.redhat.io/rhel/",
"description": null,
"username": null,
"seeded": true,
"registry_url": null,
"id": 228288065,
"organization_id": 114267492,
"organization": {
"name": "Empty Organization",
"label": "Empty_Organization",
"id": 114267492
},
"last_scan": null,
"upstream_password_exists": false,
"last_scan_words": null
}
| Param name | Description |
|---|---|
|
description
optional |
Description of the flatpak remote Validations:
|
|
username
optional |
Username for the flatpak remote Validations:
|
|
token
optional |
Token/password for the flatpak remote Validations:
|
|
id
required |
Flatpak remote numeric identifier Validations:
|
|
name
optional |
name Validations:
|
|
url
optional |
Base URL of the flatpak registry index, ex: flatpaks.redhat.io/rhel/ , registry.fedoraproject.org/. Validations:
|